package kd.hrmp.hbjm.business.domain.service;

import kd.bos.dataentity.Consumer;
import kd.bos.dataentity.entity.DynamicObject;
import kd.bos.entity.ExtendedDataEntity;

import java.util.function.Function;
import java.util.function.Supplier;

/**
 * @author rd_ningjie
 * @description:TODO 职位基础校验接口
 * @date 2022/5/27 15:01
 */
public interface IBaseValidatorService {

    //数据启用性校验
    <T> void enableValide(ExtendedDataEntity[] datas, String col, Consumer<T> consumer);

    //是否允许变更校验
    <T> void changeAllowAccessValde(ExtendedDataEntity[] newDatas, DynamicObject[] sourceDatas, String col, Consumer<T> consumer);

    //数据有效性校验
    void availabilityValide(ExtendedDataEntity[] datas);

}
